### Function

# EDataServer util_debug_printv

since: 3.30

#### Declaration [src]

    void
    e_util_debug_printv (
      const gchar* domain,
      const gchar* format,
      va_list args
    )

#### Description [src]

Prints a text according to `format` and its `args` to stdout prefixed with `domain` in brackets [] and the current date and time. This function doesn’t check whether the logging is enabled, it’s up to the caller to determine it, the function only prints the information in a consistent form: [`domain`] YYYY-MM-DD hh:mm:ss.ms - `format`

See: e_util_debug_print().

Available since: 3.30

This function is not directly available to language bindings.

#### Parameters

`domain`

  Type: `const gchar*`

  A debug domain.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`format`

  Type: `const gchar*`

  A printf-like format.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`args`

  Type: `va_list`

  Arguments for the `format`.